Coupons

Detail of a single Coupon

All details about a Coupons for human inspection and audit.

You must not parse and must not process this HTML page.

get
https://api.migros.ch/migros/customers/coupons/v3/audit/{id}/{lang}

Path Parameters

idintegerrequired

Coupon ID (the M-Promo ID, not the GTIN).

Example:234531

langstringrequired

Language code: de, fr, it or en

Example:de

Response

200 text/html

HTML page

get/migros/customers/coupons/v3/audit/{id}/{lang}
 
200 text/html

Lekker

List of all Coupons attributed to a customer

This endpoint returns the set of all Coupons attributed to a certain customer, identified by the Cumulus number. Coupons can be personalised Coupons (regular and POS-Coupons) as well as unpersonalised Partnercoupons (which are distributed to every Cumulus customer).

Personalised Coupons might be “Preview-Coupons”, i.e. a Coupon that is not yet valid (start date of campaign still in the future). These cannot be activated.

get
https://api.migros.ch/migros/customers/publiccoupons/v3/users/{cumulus}/coupons

Path Parameters

cumulusstringrequired

Cumulus number.

Match pattern:^\d{13}$

>= 13 characters<= 13 characters

Example:2099123456789

Response

application/json

Lists of personalised and unpersonalisdc coupons.

UserCouponCollection

Collection of Coupons attributed to a user (cumulus number). Note that the two arrays contain different types of elements.

activatedarray[object]

Personalized coupon information of a user based on ReTi.

Show Child Parameters
availablearray[object]

Personalized coupon information of a user based on ReTi.

Show Child Parameters
partnerarray[object]required

Represents the coupon information based on MDB+.

Show Child Parameters
previewarray[object]required

Personalized coupon information of a user based on ReTi.

Show Child Parameters
redeemedarray[object]required

Personalized coupon information of a user based on ReTi.

Show Child Parameters
get/migros/customers/publiccoupons/v3/users/{cumulus}/coupons
 
application/json

Fetch a single Coupon attributed to a customer

This endpoint returns a single Coupon attributed to a customer (identified via the Cumulus number). Only personalised Coupons can be requested, i.e. this endpoint doesn’t return Partner-Coupons (these might not have a GTIN).

You probably should not use this endpoint at all: To find the list of Coupons of a user use /migros/customers/publiccoupons/v3/users/{cumulus} which provides all information. (The only conceivable usecase for this endpoint is if you got the GTIN through some side channel.)

get
https://api.migros.ch/migros/customers/publiccoupons/v3/users/{cumulus}/coupons/{gtin}

Path Parameters

cumulusstringrequired

Cumulus number.

Match pattern:^\d{13}$

>= 13 characters<= 13 characters

Example:2099123456789

gtinstringrequired

GTIN (EAN) of Coupon. Its a string as GTINs often are longer than what integers can represent.

Match pattern:^\d+$

Response

application/json

Lists of personalised and unpersonalisdc coupons.

UserCoupon

Personalized coupon information of a user based on ReTi.

couponobject

Represents the coupon information based on MDB+.

Show Child Parameters
expirystring

Date string when the coupon expires. Note that the format is different from coupon.start_date.

Example:2023-09-01+02:00

idstring

The GTIN (EAN) of the Coupon. ReTi calls this “offerId”.

Example:8888122276132945500263

pos_tr_idstring

unique_request_id as provided during redeem call.

Example:303461600060EF280F0C206267706114

previewboolean

If true then start_date is in the future and this Coupon cannot be activated yet as it is considered a “Preview-Coupon”.

publishedstring

Date string when the coupon begins to be usable. Note that the format is different from coupon.start_date.

Example:2023-06-13+02:00

quantityinteger

A single Coupon can be attributed multiple times to a customer. 0 is omitted.

>= 0<= 99

Example:2

redeemedstring

Datetime string when the coupon was redeemed (or empty).

Example:2024-05-10T10:39:06+02:00

statusinteger

1 = available, 2 = activated, 3 = redeemed.

Allowed values:123

get/migros/customers/publiccoupons/v3/users/{cumulus}/coupons/{gtin}
 
application/json

Activate a Coupon

Only non-redeem Coupons can be activated. It’s okay to activate an already active Coupon.

Note that no more than 50 Coupons can be in state ‘activated’ for a single Cumulus number. Trying to activate more results in a 409 error.

Note: The parameters can be sent as query parameters in the URL or as application/x-www-form-urlencoded in the request body (or any combination, it just doesn’t matter.)

post
https://api.migros.ch/migros/customers/publiccoupons/v3/users/{cumulus}/coupons/{gtin}:activate

Path Parameters

cumulusstringrequired

Cumulus number.

Match pattern:^\d{13}$

>= 13 characters<= 13 characters

Example:2099123456789

gtinstringrequired

GTIN (EAN) of Coupon. Its a string as GTINs often are longer than what integers can represent.

Match pattern:^\d+$

Response

Successfully activated

post/migros/customers/publiccoupons/v3/users/{cumulus}/coupons/{gtin}:activate